import request from '@/utils/request'
import constant from '@/constant'


function pageList(formData) {
  return request.post(constant.serverUrl + "/bus/driverInfo/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/bus/driverInfo/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/bus/driverInfo/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/bus/driverInfo/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/bus/driverInfo/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/bus/driverInfo/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/bus/driverInfo/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}


export default {
  create, edit, add, update, remove, batchRemove, pageList
}